#!/bin/sh

# SecureBackup for MySQL Routine
#
# By Chris Travers (chris@metatrontech.com)
# 2003-08-19

#####   Start editing here

bkfile="/var/backup/backup.mysql"

mysql_user="root"
mysql_password="example"

compressor="bzip2"
compressor_ext="bz2"

bkhost="destination"
ssh_user="username"

md5sumfile="/var/backup/md5sum-mysql"
gpgrecipient="KeyName"

remote_name="mysql_backup.`date "+%b.%d"`.tar.$compressor_ext.gpg"

#####   Stop editing here

mysqldump -A -u $mysql_user -p $mysql_password > $bkfile
$compressor $bkfile
bkfile=$bkfile.$compressor_ext

rm -f $bkfile.gpg

gpg -r $gpgrecipient --encrypt $bkfile
bkfile=$bkfile.gpg

last_md5sum=`cat $md5sumfile`
current_md5sum=`md5sum $bkfile`

if [[ $last_md5sum != $current_md5sum ]]
then
	scp $bkfile $ssh_user@$bkhost:~/$remote_name
	remote_md5sum=`ssh $ssh_user@$bkhost md5sum $remote_name`
	echo "Transmission checksum report for SecureBackup for MySQL."
	echo "Local $current_md5sum."
	echo "Remote $remote_md5sum."
fi
echo $current_md5sum > $md5sumfile
